Subject: LSM (Linux Software Map): New release: 28JUN93
From: [email-masked] (Jeff Kopmanis)
Date: Mon, 28 Jun 93 14:11:00 GMT
Newsgroups: comp.os.linux.announce,comp.os.linux

Linux Software Map
------------------

The second release of the LSM is now available on sunsite.unc.edu and
tsx-11.mit.edu. The files are currently in the incoming directories,
but should appear as follows in the next day or so.  Here are the filenames
and their respective resting places:

sunsite.unc.edu: /pub/Linux/docs/lsm-28JUN93.z
                 /pub/Linux/docs/lsm-template.z
                 
tsx-11.mit.edu:  /pub/linux/docs/lsm-28JUN93.z
                 /pub/linux/docs/lsm-template.z
                 
Note that the LSM and the template are separate files and require GNU zip to
unzip them.  See prep.ai.mit.edu:/pub/gnu for copies of the latest GNU Zip
utilities for DOS or sunsite for Linux.

VOLUNTEERS:  I'll be going through the database and finding those packages
that didn't get documented the first time through.  I'll try to come up with
mailings as we did before, but I don't know when, exactly.  I'm in the
process of upgrading my PC right now, so it might be a little while before
things return to normal.  In the meantime, please look over this release of
the LSM and if you find something interesting to document, or if you've
recently downloaded that package, please send in an entry.  Be sure to use
the new template.  Thanks for your help!

New stuff
---------

This second release is basically a filled-in, more-accurate, more-up-to-date
version of the previous release.

Most significant are the changes in policies that I'm trying to instigate:

- I still will monitor comp.os.linux.announce for new announcements, but if
  I don't recieve an LSM entry from the developer thereafter, I'll mail a
  copy of the template to the developer to fill out and return to me.  Doing
  this myself is much too time-consuming, and quite honestly, the developer
  is the most-informed person to get information about a package.  So,
  developers, if you recieve an entry template from me, you'll know what the
  scoop is.
  
- Because of the rather poor response by developers and some of the
  volunteers who participated in the first release, I've changed the entry
  template (once again) to make it easier to enter stuff.  It's a little
  more free-form than the last, gives you the field lengths in numbers and
  does away with those silly underscores (I don't know WHAT possessed me to
  put those @#$#!~! things in there).  I've found that my programs were less
  flexible than I thought, requiring a re-write, so it was an ideal time to
  amend the template.  Please use it, or at least send me flame-mail if you
  don't like it.
  
- Because of the confusion and flak over the format of my dates in the LSM,
  I've switched to the following format:  28JUN93  This should be
  unambiguous to everyone.
  
- I've gone to a new revision numbering scheme, since it seems as though a
  date-based scheme will work better.  This will also alert you at-a-glance 
  as to which LSM file is the most current.
  
On the horizon...
-----------------
- As you might have noticed, this past release was VERY late.  My fault. 
  Most of the delay is attributable to really-poor maintenance capabilities
  in my current "system" of databases, templates, etc.  I'd like to come up
  with some kind of mail-based format to be used for sending in changes,
  updates, fixes, etc for the LSM.  An entry template won't quite do.  Some
  ideas that come to mind are: putting keywords next to field names that
  need to be updated; keywords in record headers to indicate deletion.  I'm
  COMPLETELY open to suggestions.
  
- I'm going to be converting the LSM database into a Linux-based DBMS.  I
  only have 4MB of RAM and a 25MHz 386, so my computing resources are rather
  shallow.  I've tentatively settled on Metalbase, due to its smallness and
  relative speed.  The LSM is not a complicated database, but it might have
  3 or 4 tables and some relations.  The thing must be customizable and
  programmable, but not hard to use.  Don't want to spend more time
  developing than doing.  Your suggestions and comments are welcome.
  
- Once I get things into a workable format, I'm going to be looking into
  options to automate the incoming-facets of the LSM, and, will be looking
  for ways to get the volunteers into the day-to-day work.  Erik Troan of
  sunsite has already given me some good ideas for some solutions, and I'd
  welcome any others you might have.
  
Last Lecture...
---------------

Two more things before I take off here...

1) PLEASE, send in LSM entry forms whenever you post to
   comp.os.linux.announce.  It makes the whole process so much easier.  Be
   sure to keep the most current copy of the template around to submit.
   
2) Developers:  I don't know if you're aware of the problem, but when you
   announce an upgrade or a new product, 9 times out of 10 you forget to put
   in the filename and the path where it can be found.  The filename is the
   most glaring omission.  For your sake, remember to put in the filename.
   
---

That's all for now.  As usual, I welcome any comments or suggestions
pertaining to the LSM.  Keep tuned to COLA and COL for LSM news.

-Jeff.  :)
---------------------------------------------------------------------------
-- 
---------------------------------------------------------------------------
Jeff Kopmanis       (Ann Arbor, Michigan)   |  email:  [email-masked]
Organizer of the Linux Software Map (LSM)   |  phone: (313) 393-4784 (work)
---------------------------------------------------------------------------

--
Send submissions for comp.os.linux.announce to: [email-masked]